package com.ruoyi.project.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.project.business.domain.TbFile;
import com.ruoyi.project.business.domain.vo.quotation.DescFileVO;
import java.util.List;
import java.util.Map;

/**
 * 附件Service接口
 *
 * @author ruoyi
 * @date 2024-04-19
 */
public interface ITbFileService extends IService<TbFile> {

    /**
     * 查询附件
     *
     * @param id 附件主键
     * @return 附件
     */
    public TbFile selectTbFileById(Long id);

    /**
     * 查询附件列表
     * 
     * @param tbFile 附件
     * @return 附件集合
     */
    public List<TbFile> selectTbFileList(TbFile tbFile);

    /**
     * 新增附件
     * 
     * @param tbFile 附件
     * @return 结果
     */
    public int insertTbFile(TbFile tbFile);

    /**
     * 修改附件
     * 
     * @param tbFile 附件
     * @return 结果
     */
    public int updateTbFile(TbFile tbFile);

    /**
     * 批量删除附件
     * 
     * @param ids 需要删除的附件主键集合
     * @return 结果
     */
    public int deleteTbFileByIds(Long[] ids);

    /**
     * 删除附件信息
     *
     * @param id 附件主键
     * @return 结果
     */
    public int deleteTbFileById(Long id);

    List<TbFile> selectTbFileListByBuzIdAndBuzType(Long leadId, String type);

    Map<Long, List<DescFileVO>> getDescFileVOMap(List<Long> nonStandardDescIdList);

    /**
     * 新增附件
     * 
     * @param annex 附件, 逗号分隔
     * @param buzId 业务ID
     * @param type  业务类型： {@link com.ruoyi.common.enums.FileBuzType}
     * @return
     */
    boolean saveOrUpdateFile(String annex, Long buzId, String type);
}
